Skip to main content
POST
Create revenue policy version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
effective_from
string<date-time>
required

The version governs the contract terms starting on or after this date.

Example:

"2026-01-01T00:00:00Z"

config
object

How the policy assesses and recognizes the contracts it governs. Defaults to the latest published version's configuration.

Response

Latest published version of the policy, or null when no version is published yet.

id
string
required

Unique identifier of the revenue policy version.

Example:

"rpv_7Gk2Lm9xQ1z4Ha"

version
integer
required

Version number, starting at 1.

Example:

1

status
enum<string>
required

draft while it can still change, published once it governs contracts. A published version never changes.

Available options:
draft,
published
effective_from
string<date-time>
required

The version governs the contract terms starting on or after this date.

Example:

"2026-01-01T00:00:00Z"

config
object
required

How the policy assesses and recognizes the contracts it governs.

published_at
string<date-time> | null
required

When the version was published, or null for a draft.

Example:

"2024-12-20T16:04:11Z"

published_by_user_id
string | null
required

User who published the version, or null when it is a draft or was published with an API key.

created_at
string<date-time>
required

When the record was created.

Example:

"2024-12-20T16:04:11Z"